<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Task 17.10 - Lucky Dice</title>
    <style>
      .container,
      .content {
        display: flex;
        flex-direction: column;
      }
      .button button {
        width: 100px;
        height: 50px;
        margin-top: 10px;
      }
      h2 {
        color: blue;
        display: none;
      }
    </style>
  </head>
  <script>
    //Event handlers
    function onGetDiceClick() {
      "use strict";
      console.log("Tung xúc xắc");
      //gọi hàm getRandomNumber
      var vDiceRandom = getRandomNumber();
      console.log("Ném ngẫu nhiên: ", vDiceRandom);
      //truy xuất hình ảnh bằng id
      var vImgDice = document.getElementById("img-dice");
      //thay đổi hình ảnh theo giá trị của dice
      vImgDice.src = `images/${vDiceRandom}.png`;
      //truy xuất thông báo bằng id
      var vNotification = document.getElementById("h2-result");
      //hiện thông báo
      if (vDiceRandom < 4) {
        vNotification.innerHTML = "Cảm ơn bạn. Hãy cố gắng lần sau!";
        vNotification.style.display = "block";
        vNotification.style.color = "orange";
      } else {
        vNotification.innerHTML = "Chúc mừng bạn. Hãy chơi ván nữa!";
        vNotification.style.display = "block";
        vNotification.style.color = "purple";
      }
    }
    //Common funtions
    function getRandomNumber() {
      var vRandomNumber = 0;
      //random số nguyên từ 1 -> 6
      vRandomNumber = Math.floor(Math.random() * 6 + 1);
      return vRandomNumber;
    }
  </script>
  <body>
    <div class="container">
      <div class="header">
        <img src="images/people-playing-casino.jpg" alt="header-bg" />
      </div>
      <div class="content">
        <h1 class="title">Chào mừng đến với Lucky Dice Casino</h1>
        <img src="images/dice.png" alt="dice" width="120px" id="img-dice" />
        <div class="button">
          <button onclick="onGetDiceClick()">Ném</button>
        </div>
        <h2 id="h2-result">Kết quả</h2>
      </div>
    </div>
  </body>
</html>
